#ifndef CHOOSEFONT_H
#define CHOOSEFONT_H

#include <string>
using std::string;

#include "acwin_dialog.h"

class CChooseFont : virtual public acWindow::CDialog
{
public:
	CChooseFont();

	int DoModal(acWindow::CWindow *parent);

	string font;
	int charSet;
	int fontSize;
	int antiAliasing;
	bool useSmoothing;
	bool isBold;
	bool isItalic;
	bool useUnicode;
	int paddingUp;
	int paddingDown;
	int paddingRight;
	int paddingLeft;
	int spacingHoriz;
	int spacingVert;
	int scaleH;

	int width;
	int height;
	int bitDepth;
	bool fourChnlPacked;

	int fontDescFormat;

	bool disableBoxChars;

	string textureFormat;
	int textureCompression;

	int outlineThickness;
	bool is1ChnlEncoded;

protected:
	void OnInit();
	void GetOptions();

	void OnFontChange();
	void OnTextureChange();

	LRESULT MsgProc(UINT msg, WPARAM wParam, LPARAM lParam);
};

#endif