#ifndef FONTCHAR_H
#define FONTCHAR_H

#include "ac_image.h"

class CFontChar
{
public:
	CFontChar();
	~CFontChar();

	void DrawChar(HFONT font, int id, int scaleH, int aa, bool useUnicode);
	void AddOutline(int thickness);

	void CreateFromImage(int id, cImage *image);

	int id;

	int x;
	int y;
	int width;
	int height;
	int yoffset;
	int xoffset;
	int advance;
	int page;
	int chnl;

	bool HasOutline();
	bool FitsInOneChannel(bool is1ChnlEncoded);
	BYTE GetPixelValue(int x, int y);

	bool colored;
	bool isChar;

	cImage *charImg;
};

#endif